summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'Swift/Packaging/Debian/package.sh')
-rwxr-xr-xSwift/Packaging/Debian/package.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/Swift/Packaging/Debian/package.sh b/Swift/Packaging/Debian/package.sh
index 62dfff0..d19f5dc 100755
--- a/Swift/Packaging/Debian/package.sh
+++ b/Swift/Packaging/Debian/package.sh
@@ -95,6 +95,18 @@ cat $DIRNAME/debian/control.in | sed -e "s/%SWIFTEN_SOVERSION%/$SWIFTEN_SOVERSIO
rm $DIRNAME/debian/control.in
mv $DIRNAME/debian/libswiften.install $DIRNAME/debian/libswiften$SWIFTEN_SOVERSION.install
cat ../../../COPYING.thirdparty | tail -n +3 >> $DIRNAME/debian/copyright
+# Generate updated man-page if possible
+if type "help2man" > /dev/null 2>&1; then
+ if [ -f ../../QtUI/swift-im ]; then
+ help2man -m "Swift Manual" -S "Swift" -n "swift-im" -N ../../QtUI/swift-im > $DIRNAME/debian/swift-im.1
+ fi
+ if [ -f ../../../Swiften/Config/swiften-config ]; then
+ help2man -m "Swift Manual" -S "swiften-config" -n "swiften-config" -N ../../../Swiften/Config/swiften-config > $DIRNAME/debian/swiften-config.1
+ fi
+else
+ >2& echo "Unable to generate man pages. Please ensure that help2man is installed"
+ exit 1;
+fi
# Build
cd $DIRNAME